---
# This is an example playbook to execute Ansible tests.

- name: Verify
  hosts: all
  gather_facts: true
  tasks:
  - name: Check NGINX binary exists
    stat:
      path: "/usr/sbin/nginx"
    register: nginx_path

  - name: Verify NGINX is installed
    debug:
      msg: "The {{ nginx_path.stat.path }} exists"
    when: nginx_path.stat.exists
  
  - name: Verify NGINX is serving web requests
    uri:
      url: http://localhost:8080
      status_code: 200
